## org.eclipse.wst.common.environment
Class EnvironmentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.wst.common.environment.EnvironmentException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StatusException

    public class EnvironmentException

extends java.lang.Exception

This is the exception class for conditions raised by the IEnvironment.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`EnvironmentException()` Creates a new EnvironmentException.
`EnvironmentException(org.eclipse.core.runtime.IStatus status)` Creates a new EnvironmentException.

Method Summary
`org.eclipse.core.runtime.IStatus` `getStatus()` Returns the Status object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnvironmentException

    public EnvironmentException()

  Creates a new EnvironmentException.

### EnvironmentException

    public EnvironmentException(org.eclipse.core.runtime.IStatus status)

  Creates a new EnvironmentException.

  Parameters:
    `status` - the status for this exception.

Method Detail

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus()

  Returns the Status object.

  Returns:
    the status for this exception.